%x = [-1:0.0333:1];y = x;
efold = exp(-1);
j=1;
%Cartesian grid spacing (km) divided by distance covered in 1/2 of box (km)
delta = 0.20/540;
x = [-1:delta:1];y = x;		%Fine resolution
[x,y]=meshgrid(x,y);

%Open binary file for reading ('r') with the precision (i.e. little-endian) of the current system ('n')
fid = fopen('meanw_top5.bin','r','n');
test = fread(fid,'float');
new = reshape(test,480,2);
missing = new == -9999;         %if inequality is true, missing is 1; false, missing is 0.
new(missing) = NaN;             %assign NaN to places in original array where missing is 1, otherwise use original data
meanw = new(:,1);

return;
std=new(:,2);
%rmax=new(:,:,3);

width = -2.*10^5;
for k=1:480

%wmax is vertical velocity max from EDOP profiles
z1 = meanw(k)*exp(width*j*(x.^2 + y.^2));

%z1 = 100*exp(-50*j*((x-0.40).^2 + (y-0.40).^2));
%yy = length(find(z1(2701,:)>=efold))*0.20;	%km
%z1(2701,2688:2714)
%x(2701,2688:2714)*540



%z1(1351,1344:1358)
%x(1351,1344:1358)*540
%plot(x(1351,1344:1358)*540,z1(1351,1344:1358))

%pulling out 10 km X 10 km box centered on pulse
a = z1(2676:2726,2676:2726);
%contourf(x(2676:2726,2676:2726)*540,y(2676:2726,2676:2726)*540,z1(2676:2726,2676:2726))

a(isnan(a)) = -9999.;

fid = fopen('output_top5_maxw','a');
fwrite(fid,a,'float');
end

return;



%z1 = 100*exp(-10*((x-0.40).^2 + (y-0.40).^2));
%z1 = 100*exp(-150*((x-0.00).^2 + (y-0.00).^2));

x2 = [-1:0.01*2*i:1];y2 = x2;	%Coarse resolution
[x2,y2]=meshgrid(x2,y2);
z2 = 100*exp(-50*j*((x2-0.40).^2 + (y2-0.40).^2));

%0.5 percent of max heating
%m1 = max(max(z1))*0.005	
%m2 = max(max(z2))*0.005	
%pts1 = length(find(z1>m1))/(length(z1).^2);	%fraction of grid covered by fine resolution bubble
%pts2 = length(find(z2>m2))/(length(z2).^2);	%fraction of grid covered by coarse resolution bubble

ratio(i,j) = (length(z1).^2)/(length(z2).^2);


%Playing around with plotting...
%figure(1);contourf(x*60,y*60,z1)
%plot(x,z1);return;
%figure(2);contourf(x*60,y*60,z2);return;
%hold on;plot(x2,z2,'r');xlim([-0.5 0.5]);return;
%[x,y]=meshgrid(x,y);
%z1 = 100*exp(-50*((x-0.40).^2 + (y-0.40).^2));
%[x,y]=meshgrid(x,y);
%x2 = [-1:0.20:1];y2 = x2;
%[x2,y2]=meshgrid(x2,y2);
%z2 = 100*exp(-50*((x2-0.40).^2 + (y2-0.40).^2));
%contourf(x,y,z1);figure(2);contourf(x2,y2,z2);
%return;
%z2 = 50*exp(-50*((x-0.40).^2 + (y-0.40).^2));
%view(-167,65);zoom(1.125)
%Below fixes the colorbar range...
%clim([0 100]);colorbar
%figure(1);surf(x*60,y*60,z1,'edgecolor','none');shading interp
%figure(2);surf(x2*60,y2*60,z2,'edgecolor','none');shading interp
%figure(2);contourf(z);hold on;contourf(z2);
%return;


%Open binary file for reading ('r') with the precision (i.e. little-endian) of the current system ('n')
%fid = fopen('lh_composite_dropsondes.dat','r','n');
%test = fread(fid,'float');
%new = reshape(test,60,60,20,10,3);
%missing = new == -9999;         %if inequality is true, missing is 1; false, missing is 0.
%new(missing) = NaN;             %assign NaN to places in original array where missing is 1, otherwise use original data
%lh = new(:,:,:,:,2);

%x = [-59:2:59];y=x;
%[x,y]=meshgrid(x,y);
%Generate 2-D cylindrical grid
%[r,t] = meshgrid(2:2:60,pi/36:pi/36:2*pi);
%[nx,ny]=pol2cart(t,r);
%zi = interp2(x,y,lh(:,:,5,1),nx,ny,'linear');
%mean1 = nanmean(zi,1)

%cx = [-59:4:59];cy=cx;
%[cx,cy]=meshgrid(cx,cy);
%zic = interp2(x,y,lh(:,:,5,1),cx,cy,'linear');
%contourf(cx,cy,zic.')

%Generate 2-D cylindrical grid
%zi2 = interp2(cx,cy,zic,nx,ny,'linear');
%mean2 = nanmean(zi2,1)

%cx = [-59:8:59];cy=cx;
%[cx,cy]=meshgrid(cx,cy);
%zic = interp2(x,y,lh(:,:,5,1),cx,cy,'linear');

%zi3 = interp2(cx,cy,zic,nx,ny,'linear');
%mean3 = nanmean(zi3,1)

%cx = [-59:10:59];cy=cx;
%[cx,cy]=meshgrid(cx,cy);
%zic = interp2(x,y,lh(:,:,5,1),cx,cy,'linear');

%zi4 = interp2(cx,cy,zic,nx,ny,'linear');
%mean4 = nanmean(zi4,1)



%plot([2:2:60],mean1);hold on;plot([2:2:60],mean2,'r');plot([2:2:60],mean3,'g');plot([2:2:60],mean4,'k')

%return;

%Generate 2-D cylindrical grid
[r,t] = meshgrid(2:2:60,pi/36:pi/36:2*pi);
[nx,ny]=pol2cart(t,r);
zi = interp2(x*60,y*60,z1,nx,ny,'linear');
mean1 = nanmean(zi,1);
zi2 = interp2(x2*60,y2*60,z2,nx,ny,'linear');
mean2 = nanmean(zi2,1);
per = ((max(mean1) - max(mean2))/max(mean1))*100;

sp(i,j) = per;
yy(j) = length(find(z1(141,:)>=efold))*0.01*60;
%yy(j) = length(find(z1(29,:)>=efold))*0.05*60;

xx=[2:2:20];
contourf(xx,yy,sp);
%ylim([15 40]);
%caxis([-100 100]);colorbar;
%xlabel('Degradation Factor');
%ylabel('Diameter of Heat Bubble (km)');
%title('Initial Resolution = 3.0 km');

%length(find(sp>0));
%figure(2);plot(2:2:60,mean1);hold on;plot(2:2:60,mean2,'r');
%contourf(nx,ny,zi)
%[nr,nt]=cart2pol(nx,ny);
%z = rand(73,30);
